Bug 1413375 (lxqt-l10n) - Review Request: lxqt-l10n - Translations for the LXQt desktop
Summary: Review Request: lxqt-l10n - Translations for the LXQt desktop
Keywords:
Status: CLOSED RAWHIDE
Alias: lxqt-l10n
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-15 14:02 UTC by Christian Dersch
Modified: 2020-07-17 17:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-17 17:53:12 UTC
Type: ---
besser82: fedora-review+


Attachments (Terms of Use)

Description Christian Dersch 2017-01-15 14:02:08 UTC
Spec URL: https://lupinix.fedorapeople.org/review/lxqt-l10n.spec
SRPM URL: https://lupinix.fedorapeople.org/review/lxqt-l10n-0.11.2-1.fc25.src.rpm

Description: Translations for the LXQt desktop and its associated applications.

Fedora Account System Username: lupinix

Koji scratch build (rawhide): https://koji.fedoraproject.org/koji/taskinfo?taskID=17291656

Notes:
* You will get the issue that the package doesn't install, this is expected. Currently the translations are part of the application packages themselve, so they conflict with this new package. They will be removed from the application packages on import of lxqt-l10n. By doing that we are following a change in upstream packaging. They provide the translations now as lxqt-l10n instead of a part of the application.

* f-r will complain about [ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/lxqt/translations
     /lxqt-panel(lxqt-panel), /usr/share/libfm-qt/translations(libfm-qt,
     libfm-qt5), /usr/share/obconf-qt/translations(obconf-qt), /usr/share
     /lximage-qt/translations(lximage-qt), /usr/share/lxqt/translations
     /lxqt-about(lxqt-about), /usr/share/lxqt/translations/lxqt-sudo(lxqt-
     sudo), /usr/share/pcmanfm-qt/translations(pcmanfm-qt)
 
  This issue has the same reason as the install error and will vanish on import when I remove the translations from the application packages.

Comment 1 Björn 'besser82' Esser 2017-01-17 20:12:32 UTC
Starting review…

Comment 2 Björn 'besser82' Esser 2017-01-17 20:21:02 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

  --->  Ignored.  See explanation in review-request.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 1271 files have
     unknown license. Detailed output of licensecheck in
     /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-
     l10n/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/lxqt/translations/lxqt-panel/dom,
     /usr/share/lxqt/translations/lxqt-panel/colorpicker, /usr/share
     /pavucontrol-qt, /usr/share/lxqt/translations/lxqt-panel/tray,
     /usr/share/lxqt/translations/lxqt-panel/statusnotifier

     --->  Ignored.  See explanation in review-request.
           Please make sure, all dirs are owned after import.

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/lxqt/translations
     /lxqt-panel/tray, /usr/share/lxqt/translations/lxqt-
     panel/statusnotifier, /usr/share/lxqt/translations/lxqt-
     panel/colorpicker, /usr/share/pavucontrol-qt,
     /usr/share/lxqt/translations/lxqt-panel/dom

     --->  Ignored.  See explanation in review-request.
           Please make sure, all dirs are owned after import.     

[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/lxqt/translations
     /lxqt-panel(lxqt-panel), /usr/share/libfm-qt/translations(libfm-qt),
     /usr/share/pcmanfm-qt/translations(pcmanfm-qt), /usr/share/lximage-
     qt/translations(lximage-qt), /usr/share/lxqt/translations/lxqt-about
     (lxqt-about), /usr/share/obconf-qt/translations(obconf-qt),
     /usr/share/lxqt/translations/lxqt-sudo(lxqt-sudo)

     --->  Ignored.  See explanation in review-request.
           Please make sure, all dirs are owned after import.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 184320 bytes in 36 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libfm-
     qt-l10n , liblxqt-l10n , lximage-qt-l10n , lxqt-about-l10n , lxqt-
     admin-l10n , lxqt-config-l10n , lxqt-globalkeys-l10n , lxqt-
     notificationd-l10n , lxqt-openssh-askpass-l10n , lxqt-panel-l10n ,
     lxqt-policykit-l10n , lxqt-powermanagement-l10n , lxqt-runner-l10n ,
     lxqt-session-l10n , lxqt-sudo-l10n , obconf-qt-l10n , pavucontrol-qt-
     l10n , pcmanfm-qt-l10n

     --->  Those packages are standalone and don't need the main-pkg.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.

     --->  Package is noarch'ed.

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

     --->  Ignored.  See explanation in review-request.

[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.3.3 starting (python version = 3.5.2)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
Mock Version: 1.3.3
INFO: Mock Version: 1.3.3
Finish: chroot init
INFO: installing package(s): /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-powermanagement-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/libfm-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-config-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/obconf-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-notificationd-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-session-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-runner-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-admin-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-about-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-sudo-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-openssh-askpass-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-globalkeys-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lximage-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-panel-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/liblxqt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/pcmanfm-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-policykit-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/pavucontrol-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-l10n-0.11.2-1.fc26.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26 --disableplugin=local --setopt=deltarpm=false install /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-powermanagement-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/libfm-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-config-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/obconf-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-notificationd-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-session-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-runner-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-admin-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-about-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-sudo-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-openssh-askpass-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-globalkeys-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lximage-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-panel-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/liblxqt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/pcmanfm-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-policykit-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/pavucontrol-qt-l10n-0.11.2-1.fc26.noarch.rpm /home/besser82/vm_shared/fedora/review/lxqt-l10n-lxqt-l10n/results/lxqt-l10n-0.11.2-1.fc26.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: lxqt-l10n-0.11.2-1.fc26.noarch.rpm
          libfm-qt-l10n-0.11.2-1.fc26.noarch.rpm
          liblxqt-l10n-0.11.2-1.fc26.noarch.rpm
          lximage-qt-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-about-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-admin-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-config-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-globalkeys-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-notificationd-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-openssh-askpass-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-panel-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-policykit-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-powermanagement-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-runner-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-session-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-sudo-l10n-0.11.2-1.fc26.noarch.rpm
          obconf-qt-l10n-0.11.2-1.fc26.noarch.rpm
          pavucontrol-qt-l10n-0.11.2-1.fc26.noarch.rpm
          pcmanfm-qt-l10n-0.11.2-1.fc26.noarch.rpm
          lxqt-l10n-0.11.2-1.fc26.src.rpm
lxqt-l10n.noarch: W: no-documentation
libfm-qt-l10n.noarch: E: explicit-lib-dependency libfm-qt
liblxqt-l10n.noarch: E: explicit-lib-dependency liblxqt
20 packages and 0 specfiles checked; 2 errors, 1 warnings.

--->  Ignored.  The package ships the translations for the package.


Requires
--------
lxqt-openssh-askpass-l10n (rpmlib, GLIBC filtered):
    lxqt-openssh-askpass

lxqt-runner-l10n (rpmlib, GLIBC filtered):
    lxqt-runner

libfm-qt-l10n (rpmlib, GLIBC filtered):
    libfm-qt

liblxqt-l10n (rpmlib, GLIBC filtered):
    liblxqt

pcmanfm-qt-l10n (rpmlib, GLIBC filtered):
    pcmanfm-qt

lxqt-about-l10n (rpmlib, GLIBC filtered):
    lxqt-about

lxqt-sudo-l10n (rpmlib, GLIBC filtered):
    lxqt-sudo

lxqt-policykit-l10n (rpmlib, GLIBC filtered):
    lxqt-policykit

lximage-qt-l10n (rpmlib, GLIBC filtered):
    lximage-qt

lxqt-globalkeys-l10n (rpmlib, GLIBC filtered):
    lxqt-globalkeys

lxqt-admin-l10n (rpmlib, GLIBC filtered):
    lxqt-admin

lxqt-panel-l10n (rpmlib, GLIBC filtered):
    lxqt-panel

lxqt-l10n (rpmlib, GLIBC filtered):
    libfm-qt-l10n
    liblxqt-l10n
    lxqt-about-l10n
    lxqt-admin-l10n
    lxqt-config-l10n
    lxqt-globalkeys-l10n
    lxqt-notificationd-l10n
    lxqt-openssh-askpass-l10n
    lxqt-panel-l10n
    lxqt-policykit-l10n
    lxqt-powermanagement-l10n
    lxqt-runner-l10n
    lxqt-session-l10n
    lxqt-sudo-l10n
    pcmanfm-qt-l10n

lxqt-powermanagement-l10n (rpmlib, GLIBC filtered):
    lxqt-powermanagement

lxqt-notificationd-l10n (rpmlib, GLIBC filtered):
    lxqt-notificationd

pavucontrol-qt-l10n (rpmlib, GLIBC filtered):
    pavucontrol-qt

obconf-qt-l10n (rpmlib, GLIBC filtered):
    obconf-qt

lxqt-config-l10n (rpmlib, GLIBC filtered):
    lxqt-config

lxqt-session-l10n (rpmlib, GLIBC filtered):
    lxqt-session



Provides
--------
lxqt-openssh-askpass-l10n:
    lxqt-openssh-askpass-l10n

lxqt-runner-l10n:
    lxqt-runner-l10n

libfm-qt-l10n:
    libfm-qt-l10n

liblxqt-l10n:
    liblxqt-l10n

pcmanfm-qt-l10n:
    pcmanfm-qt-l10n

lxqt-about-l10n:
    lxqt-about-l10n

lxqt-sudo-l10n:
    lxqt-sudo-l10n

lxqt-policykit-l10n:
    lxqt-policykit-l10n

lximage-qt-l10n:
    lximage-qt-l10n

lxqt-globalkeys-l10n:
    lxqt-globalkeys-l10n

lxqt-admin-l10n:
    lxqt-admin-l10n

lxqt-panel-l10n:
    lxqt-panel-l10n

lxqt-l10n:
    lxqt-l10n

lxqt-powermanagement-l10n:
    lxqt-powermanagement-l10n

lxqt-notificationd-l10n:
    lxqt-notificationd-l10n

pavucontrol-qt-l10n:
    pavucontrol-qt-l10n

obconf-qt-l10n:
    obconf-qt-l10n

lxqt-config-l10n:
    lxqt-config-l10n

lxqt-session-l10n:
    lxqt-session-l10n



Source checksums
----------------
https://github.com/lxde/lxqt-l10n/releases/download/0.11.2/lxqt-l10n-0.11.2.tar.xz :
  CHECKSUM(SHA256) this package     : f164cb22aa9c9a86c78700f6c131333bda59bd49cb16c65726818ccf81bc2a16
  CHECKSUM(SHA256) upstream package : f164cb22aa9c9a86c78700f6c131333bda59bd49cb16c65726818ccf81bc2a16


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b lxqt-l10n
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

Package APPROVED!!!

Comment 3 Christian Dersch 2017-01-17 20:26:20 UTC
Thank you very much!

Comment 4 Gwyn Ciesla 2017-01-17 22:33:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lxqt-l10n


Note You need to log in before you can comment on or make changes to this bug.